﻿using System;
using System.ComponentModel;
using System.Windows.Input;
using Xamarin.Forms;

namespace issueTesting
{
	public class ViewModel : INotifyPropertyChanged
	{
		private DateTime sDate = DateTime.Now;

		public DateTime SDate
		{
			get
			{
				return sDate;
			}

			set
			{
				sDate = value;
				OnPropertyChanged("SDate");
			}
		}

		public ViewModel()
		{
			
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected void OnPropertyChanged(String PropertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
			}
				
		}
	}
}